﻿.loader-overlay-transparent {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999999;
    width: 100%;
    height: 100%;
    background: #3e8ef7;
    opacity: 0.5;
}

.select2-container {
    width: 100% !important;
}

input.datepicker {
    padding: 6px 14px 6px 14px;
}

.checkbox-aligned {
    margin-top: 8px;
}

.form-group .input-group-addon {
    display: inline-block;
}

.section-container {
    border: 1px solid #dee1e2;
    padding-top: 15px;
    margin-bottom: 15px;
}

/* Begin Admin Inbox */
.admin-inbox table tbody tr{
    cursor: pointer !important;
}
.row-selected, .row-selected:hover {
    background-color: #0a9ebc !important;
    color: #fff !important;
}
.row-active, .row-active:hover {
    color: #201e1e !important;
    font-weight: bold;
}
.data-hold span{
    font-weight: bold;
    color: #fff;    
}
.select2-container--default .select2-search--inline .select2-search__field {
    width: auto !important;
}
.admin-inbox .dataTables_length, .admin-inbox .dataTables_filter, .no-filter .dataTables_length, .no-filter .dataTables_filter {
    display: none;
}

#tasks-tab {
    cursor: pointer;
}

/* End of Admin Inbox*/
/* Begin Carrier - Quick Find & Search Result */
table#quickFindTable tbody tr td:first-child:not(.dataTables_empty), table#searchResultTable tbody tr td:first-child:not(.dataTables_empty),
table#sirPaymentTable tbody tr td:first-child:not(.dataTables_empty) {
    cursor: pointer;
    /*text-decoration: underline;
    color: #eb6709;*/
}

#vendorResultTable a.btn {
    color: #f57d1b;
}

.container-action {
    position: relative;
    background-color: #fff;
    width: 100%;
    border: 0 solid transparent;
    border-radius: .286rem;
    box-shadow: 0px 1px 1px rgba(0,0,0,0.05);
}

.text-black {
    color: #37474f;
}
/* End of Carrier - Quick Find & Search Result */

.input-group-btn {
    height: 2.573rem;
}

@media (max-width: 1200px) {
    .gridTable-container {
        flex: 0 0 100%;
        max-width: 100%;
    }
    .gridTable_info_container {
        max-width: 100%;
    }

    .gridTable_paginate_container {
        max-width: 100%;
    }
}

/* Begin Claim Task Tab */
.claim-task-table .dataTables_info{
    position: relative;
}

button, span.input-group-addon{
    cursor: pointer;
}

table#taskTable tbody tr td:first-child:not(.dataTables_empty) {
    color: #cd0540;
}

.box-form {
    height: 330px;
}

.box-border {
    border-style: solid;
    height: 250px;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 10px;
}

.box-border-popup {
    border-style: solid;
    height: 110px;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 10px;
}

#calendar {
    max-width: 700px;
    margin: 10px auto;
}

.fc-month-button{
    display: none !important;
}

.fc-next-button {
    position: absolute !important;
    right: 95px;
}

div#chkDiaryFuture, div#chkDiaryDeleted {
    float: left;
}

.fc-time {
    display: none;
}

.fc-day-grid-event {
    padding: 0 0px;
    margin: 1px 0px 0;
}

input#NewTask_TaskDate, div#paymentModal input.datepicker {
    padding: .429rem 1rem;
}

@media (min-width: 1200px) {
    .col-sm-12, .dataTables_info, .dataTables_paginate {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
    }
}
/* End Claim Task Tab */
/* Begin Advanced Search Popup */
@media (min-width: 768px) {
    #advanced-search-popup input[type="checkbox"], #claimSearchModal input[type="checkbox"] {
        margin-top: 10px;
    }
}

@media (max-width: 992px) {
    .modal .dataTables_info, .modal .dataTables_paginate {
        position: relative;
        width: 100%;
    }
}

#advanced-search-popup .panel, #claimSearchModal .panel{
    margin: 20px 0;
    border: 1px solid #e4eaec;
}

#advanced-search-popup .panel-heading, #claimSearchModal .panel-heading {
    padding: 30px 30px 15px;
}

#btn-billing-parameters {
    margin-right: 10px
}

.btn-margin-right {
    margin-right: 5px
}

.btn-wide {
    width: 100px;
}

.line {
    border-bottom: 1px solid #e4eaec;
}

/* End Advanced Search Popup */
/*.input-validation-error {
    border: 1px solid #ff0000 !important;
    background-color: #FF0000;
}*/

/* Grid styles */
span.grid-title {
    font-size: 20px;
    height: 40px;
    line-height: 40px;
    font-weight: 400;
}

.toolbar-navigation  a{
    line-height: 0em;
}

/* Tab styles */
li.nav-item.disabled {
    pointer-events: none;
    /* for "disabled" effect */
    opacity: 0.5;
    background: #CCC;
}

input.disabled, select.disabled, span.lockable.disabled, select.lockable.disabled + span.select2 > span.selection > span.select2-selection {
    pointer-events: none;
    opacity: 1;
    background: #f3f7f9;
}

label.disabled {
    pointer-events: none;
}

button.disabled, a.lockable.disabled {
    pointer-events: none;
    color: #fff;
    background-color: #fa983c;
    border-color: #fa983c;
}

.border-right {
    border-right: 1px solid #dee1e2;
}

.loader-progress
{
    width: 50%;
    margin: auto;
}

/*** the color should be change if the skin changed***/
.quick-link {
    color: #3e8ef7;
    font-size: 20px;
    display: block;
}

a.text-primary {
    color: #3e8ef7 !important;
}

a.text-primary:focus, a.text-primary:hover {
    color: #247cf0 !important;
}

.grid-table td > a, .grid-table td > div > a {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}

.label-mb-0 label {
    margin-bottom: 0px !important;
}

.hyperlink {
    text-decoration: underline;
    color: #247cf0;
    cursor: pointer;
}

/****** change font color to black *************/

body, .table, .table thead, .form-control, .panel-default .panel-heading, .input-group-addon,
.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6, .step-title, .navbar-default .navbar-toolbar .nav-link, .breadcrumb-item.active,
.page-link, .page-item.disabled .page-link, .table thead th, .table-bordered td, .table-bordered th, .nav-tabs .nav-link, .dropdown-item,
.nav-tabs-solid .nav-item.open .nav-link, .nav-tabs-solid .nav-item.open .nav-link:focus, .nav-tabs-solid .nav-item.open .nav-link:hover,
.nav-tabs-solid .nav-item.show .nav-link, .nav-tabs-solid .nav-item.show .nav-link:focus, .nav-tabs-solid .nav-item.show .nav-link:hover,
.nav-tabs-solid .nav-link.active, .nav-tabs-solid .nav-link.active:focus, .nav-tabs-solid .nav-link.active:hover, .popover-header, .popover-body {
    color: #000000;
}

/****** change disabled field control background to be slightly darker *************/
/****** original value: #f3f7f9 ******/
    .form-control:disabled, .form-control[readonly] {
        background-color: #d3d7d9;
    }

/****** change field control border to charcoal (#36454f) field control background to be slightly darker *************/
/****** original value: #e4eaec ******/
.form-control {
    border-color: #36454f;
}
.input-group-btn .btn-default {
    border-color: #36454f
}
.input-group .input-group-addon {
    border-color: #36454f
}

/****** set modal dialog to be vertically centered *************/
.modal.horizontally-centered {
    text-align: center;
}

@media screen and (min-width: 768px) {
    .modal.vertically-centered:before {
        display: inline-block;
        vertical-align: middle;
        content: " ";
        height: 100%;
    }
}

.modal-dialog.vertically-centered {
    display: inline-block;
    text-align: left;
    vertical-align: middle;
}

.no-break-word {
    overflow-wrap: break-word;
    word-break: break-word;
}

/****** Task styles *************/
.completed-task td {
    color: #cfd0d1; /*gray*/
}

.transferred-task td {
    color: #2cd660; /*green*/
}

.past-due-task td {
    color: #FF0000; /*red*/
}

.from-supervisor-task td {
    color: blue;
}

.card-container {
    display: grid;
}

.front {
    padding: 16px;
}

.cursor-pointer {
    cursor: pointer;
}

.modal-xl {
    max-width: 1400px;
}

.line-date-desc {
    height: 29px;
}

.p-r-15 {
    padding-right: 15px;
}

.btn-reverse-payment.disabled, .btn-reverse-payment:disabled {
    color: #868e96 !important;
    border-color: #868e96 !important;
}